# pb_ds::tree_order_statistics_node_update< Const_Node_Iterator, Node_Iterator, Cmp_Fn, Allocator > Class Template Reference

List of all members.

## Detailed Description

### template<typename Const_Node_Iterator, typename Node_Iterator, typename Cmp_Fn, typename Allocator>
class pb_ds::tree_order_statistics_node_update< Const_Node_Iterator, Node_Iterator, Cmp_Fn, Allocator >

Definition at line 76 of file tree_policy.hpp.

## Public Types

- typedef Allocator allocator
- typedef Cmp_Fn cmp_fn
- typedef const_node_iterator::value_type const_iterator
- typedef base_type::const_key_reference const_key_reference
- typedef Const_Node_Iterator const_node_iterator
- typedef node_iterator::value_type iterator
- typedef base_type::key_type key_type
- typedef size_type metadata_type
- typedef Node_Iterator node_iterator
- typedef allocator::size_type size_type

## Public Member Functions

- iterator find_by_order (size_type order)
- const_iterator find_by_order (size_type order) const
- size_type order_of_key (const_key_reference r_key) const

## Protected Member Functions

- void operator() (node_iterator node_it, const_node_iterator end_nd_it) const

The documentation for this class was generated from the following file:

- tree_policy.hpp